com.h3c.sdn.support

## Interface SupportReportService

-     public interface SupportReportService

  Defines the functionality provided for the support report.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ReportContent>` | `getReportContents(String... ids)` Return an ordered list of report contents for the given array of contributor identifications.
    `List<ReportContent>` | `getReportContentsForFields(Set<String> fieldSet, String... ids)` Return an ordered list of report contents with only the specified fields populated, based on the given array of contributor identifications.
    `void` | `registerContributor(SupportContributor contributor)` Register as a contributor to the support report.
    `void` | `removeContributor(SupportContributor contributor)` Removes the given contributor from the support report.

- - ### Method Detail

    - #### getReportContents

          List<ReportContent> getReportContents(String... ids)

      Return an ordered list of report contents for the given array of contributor identifications. If the array of contributor identifications is empty, then the report content from all known contributors is returned.
      Parameters:
        `ids` - the array of contribution ids
      Returns:
        an ordered list of report contents

    - #### getReportContentsForFields

          List<ReportContent> getReportContentsForFields(Set<String> fieldSet,
                                                       String... ids)

      Return an ordered list of report contents with only the specified fields populated, based on the given array of contributor identifications. If the set of fields is empty or null, an empty list is returned. If the array of contributor identification is empty, then the report content from all known contributors is returned.
      Parameters:
        `fieldSet` - the set of desired fields
        `ids` - the array of contribution ids
      Returns:
        an ordered list of report contents

    - #### registerContributor

          void registerContributor(SupportContributor contributor)

      Register as a contributor to the support report.
      Parameters:
        `contributor` - the contributor to add

    - #### removeContributor

          void removeContributor(SupportContributor contributor)

      Removes the given contributor from the support report.
      Parameters:
        `contributor` - the contributor to remove

Copyright © 2014. All Rights Reserved.